com.lowagie.text.pdf

## Class PdfContentByte.GraphicState

- java.lang.Object
- - com.lowagie.text.pdf.PdfContentByte.GraphicState

- Enclosing class:
    PdfContentByte

      static class PdfContentByte.GraphicState
      extends java.lang.Object

  This class keeps the graphic state of the current page

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected float` | `charSpace` The current character spacing
    `(package private) ColorDetails` | `colorDetails` This is the color in use
    `(package private) FontDetails` | `fontDetails` This is the font in use
    `protected float` | `leading` The current text leading.
    `protected float` | `scale` The current horizontal scaling
    `(package private) float` | `size` This is the font size in use
    `protected float` | `wordSpace` The current word spacing
    `protected float` | `xTLM` The x position of the text line matrix.
    `protected float` | `yTLM` The y position of the text line matrix.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfContentByte.GraphicState()`
    `PdfContentByte.GraphicState(PdfContentByte.GraphicState cp)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fontDetails

          FontDetails fontDetails

      This is the font in use

    - #### colorDetails

          ColorDetails colorDetails

      This is the color in use

    - #### size

          float size

      This is the font size in use

    - #### xTLM

          protected float xTLM

      The x position of the text line matrix.

    - #### yTLM

          protected float yTLM

      The y position of the text line matrix.

    - #### leading

          protected float leading

      The current text leading.

    - #### scale

          protected float scale

      The current horizontal scaling

    - #### charSpace

          protected float charSpace

      The current character spacing

    - #### wordSpace

          protected float wordSpace

      The current word spacing

  - ### Constructor Detail

    - #### PdfContentByte.GraphicState

          PdfContentByte.GraphicState()

    - #### PdfContentByte.GraphicState

          PdfContentByte.GraphicState(PdfContentByte.GraphicState cp)